{{ $appSection := "frontend-v2" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ $appName }}
  annotations:
    {{- include "pragozor.annotations" . | nindent 4 }}
  labels:
    app.kubernetes.io/name: {{ $appName }}
    {{- include "pragozor.labels" . | nindent 4 }}
spec:
  replicas: {{ index . "Values" $appSection "replicas" }}
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ $appName }}
      {{- include "pragozor.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      annotations:
        {{- include "pragozor.annotations" . | nindent 8 }}
      labels:
        app.kubernetes.io/name: {{ $appName }}
        {{- include "pragozor.labels" . | nindent 8 }}
    spec:
      containers:
        - name: {{ $appName }}
          image: {{ include "pragozor.imageName" (list . $appSection) | quote }}
          imagePullPolicy: {{ .Values.global.pullPolicy }}
          ports:
            - containerPort: {{ index . "Values" $appSection "port" }}
          resources: {{ index . "Values" $appSection "resources" | toYaml | nindent 12 }}
          securityContext:
            capabilities:
              drop: [ "all" ]
          {{- if index . "Values" $appSection "probes" "enabled" }}
          readinessProbe: {{include "pragozor.readinessProbe" (list . $appSection) | nindent 12 }}
          livenessProbe: {{include "pragozor.livenessProbe" (list . $appSection) | nindent 12 }}
          {{ end }}
      serviceAccountName: {{ include "pragozor.serviceAccountName" . }}
